Create LLM
curl --request POST \
--url https://api.upon-ai.com/api/llms \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": 42,
"display_name": "Concierge with cold transfer",
"model": "gpt-4o-mini",
"general_prompt": "You are the voice of UponAI. Help callers and transfer them when needed.",
"begin_message": "Hi there! Thanks for calling.",
"responsiveness": "fast",
"general_tools": [
{
"type": "transfer_call",
"name": "transfer_to_support",
"description": "Transfer the caller to support when they ask for a human.",
"transfer_destination": {
"type": "predefined",
"number": "+18885551212"
},
"transfer_option": {
"type": "cold_transfer",
"cold_transfer_mode": "sip_invite",
"show_transferee_as_caller": false
}
}
]
}
'import requests
url = "https://api.upon-ai.com/api/llms"
payload = {
"workspaceId": 42,
"display_name": "Concierge with cold transfer",
"model": "gpt-4o-mini",
"general_prompt": "You are the voice of UponAI. Help callers and transfer them when needed.",
"begin_message": "Hi there! Thanks for calling.",
"responsiveness": "fast",
"general_tools": [
{
"type": "transfer_call",
"name": "transfer_to_support",
"description": "Transfer the caller to support when they ask for a human.",
"transfer_destination": {
"type": "predefined",
"number": "+18885551212"
},
"transfer_option": {
"type": "cold_transfer",
"cold_transfer_mode": "sip_invite",
"show_transferee_as_caller": False
}
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: 42,
display_name: 'Concierge with cold transfer',
model: 'gpt-4o-mini',
general_prompt: 'You are the voice of UponAI. Help callers and transfer them when needed.',
begin_message: 'Hi there! Thanks for calling.',
responsiveness: 'fast',
general_tools: [
{
type: 'transfer_call',
name: 'transfer_to_support',
description: 'Transfer the caller to support when they ask for a human.',
transfer_destination: {type: 'predefined', number: '+18885551212'},
transfer_option: {
type: 'cold_transfer',
cold_transfer_mode: 'sip_invite',
show_transferee_as_caller: false
}
}
]
})
};
fetch('https://api.upon-ai.com/api/llms', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"llm_id": "llm_1ab234cde567fgh",
"display_name": "Concierge v2",
"version": 1,
"model": "gpt-4o-mini",
"general_prompt": "You are the voice of UponAI...",
"begin_message": "Hi there! Thanks for calling UponAI.",
"updated_at": "2025-02-08T17:21:34.000Z"
}LLM Models
Create LLM
Provision a new UponAI large language model configuration.
POST
/
api
/
llms
Create LLM
Authorizations
Generate tokens from your profile settings at app.uponai.com.
Body
application/json
Response
201 - application/json
Newly created LLM configuration.
⌘I